/* Modal__dialog */
.ui-dialog {
	text-align: left;
	border-radius: 16px;
	box-shadow: 0 8px 40px -10px rgb(0 0 0 / 30%);
	border: 1px solid #E0E4E5;
	border-color: rgba(0,0,0,0.0);
	background-color: var(---cmt-background-color);
	background-clip: padding-box;
	outline: none;
	max-width: none !important;
	max-height: none !important;
	padding: 20px;
	overflow: auto;
	position: relative;
	zoom: 1;
	font-weight: 500;
	height: auto !important;
	min-width: 340px;
	width: 100%;
	margin: 0 auto;
}

.ui-dialog .ui-dialog-buttonpane, .ui-dialog .ui-dialog-content, .ui-dialog .modal-header {
	height: auto !important;
	border: none;
	padding: 0px;
	background: var(---cmt-background-color);
}
.ui-dialog .ui-dialog-titlebar {
	padding: 0px;
	padding-bottom: 20px;
	position: relative;
	border: 0;
	border-top-right-radius: 16px;
	border-top-left-radius: 16px;
}
.ui-dialog .ui-dialog-title {
	float: left;
	font-weight: bold;
	font-size: 18px;
	color: #515a5a;
}
.ui-dialog .ui-dialog-titlebar-close {
	/*font: var(--fa-font-solid);
	content: "\f00d";*/
	position: absolute;
	top: auto;
	right: 5px;
	height: 28px !important;
	width: 28px;
	padding: 0px !important;
	margin-top: -4px !important;
	border: 0 none !important;
	background-color: aqua !important;
	background-image: none !important;
	background: #fff url("../images/other/cmt_cross_delete.svg") no-repeat 50% 50% !important;
	background-size: cover;
	box-shadow: none !important;
	opacity: 0.5;
	transition: opacity 0.3s ease;
}
.ui-dialog .ui-dialog-titlebar-close:hover,
.ui-dialog .ui-dialog-titlebar-close:focus,
.ui-dialog .ui-dialog-titlebar-close:active {
	opacity: 1;
}

.ui-widget-content .ui-corner-all {

}
.ui-widget-content textarea {
    width: 100%;
    height: 40px;
    padding: 6px;
    margin: 8px 0;

    border: 2px solid var(---cmt-secondary-color);
    border-radius: 8px;

    background: var(---cmt-background-color);
    box-shadow: 0 0 0 0;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    line-height: inherit;
    font-size: 16px;
    font-weight: 500;
    color: var(---cmt-secondary-color) !important;

    transition: color .3s ease, background-color .3s ease, border-color .3s ease;

}
.ui-widget-content textarea {
    height: auto;
}
.ui-widget-content textarea:active {
    border-color: var(---cmt-green-color);
    background-color: var(---cmt-green-color);
}
.ui-widget-content textarea:not(:disabled):not(:active):hover {
    border-color: var(---cmt-green-color);
}
.ui-widget-content textarea:not(:disabled):active {
    background-color: transparent;
    border-color: var(---cmt-green-color);
}
.ui-widget-content textarea:focus {
    box-shadow: 0 0 0 0 rgba(127, 140, 141, 0.0);
}
.ui-widget-content textarea:focus:not(:active) {
    border-color: var(---cmt-green-color);
}
.ui-widget-content textarea:disabled {
    background-color: var(---cmt-lightsilver-color);
}
.dle-popup-quickedit {
	top: 40px !important;
}
/* Modal__dialog */



/*---Выпадающее меню кнопки редактировать---*/
#dropmenudiv {
		padding: 10px 0;
		min-width: 140px;
		width: auto !important;
		opacity: 1 !important;
		display: none;

		border-radius: 8px;
		border: 1px solid transparent;
		border-color: var(---cmt-outline-color);

		box-shadow: 0px 5px 10px 2px rgb(34 60 80 / 20%);
		background-clip: padding-box;

		font-size: 14px;

		transition: box-shadow 0.3s ease, border-color 0.3s ease, background-color 0.3s ease, color 0.3s ease, width 0.3s ease, filter 0.3s ease, opacity 0.3s ease;
	}
	#dropmenudiv {
		background-color: var(---cmt-background-color);
	}
	#dropmenudiv a {
		text-decoration: none !important;
		display: block;
		padding: 5px 20px;

		border-top: 1px solid transparent;
		border-color: var(---cmt-outline-color);

		white-space: nowrap;
		color: var(---cmt-black-color);
		font-weight: 500;

		transition: box-shadow 0.3s ease, border-color 0.3s ease, background-color 0.3s ease, color 0.3s ease, width 0.3s ease, filter 0.3s ease, opacity 0.3s ease;
	}
	#dropmenudiv a:last-child {
		border-bottom: 1px solid transparent;
		border-color: var(---cmt-outline-color);
	}
	#dropmenudiv a:hover {
		border-color: var(---cmt-Doutline-color);

		background-color: var(---cmt-primary-color);

		color: var(---cmt-white-color);
	}
/*---Выпадающее меню кнопки редактировать---*/